# Supply Inflation

The total circulating supply of WISE inflates at a constant rate of 4% per year.  At the end of every day of the Circulation Epoch, the contract calculates how many new WISE will need to be minted for that day in order to achieve that rate of inflation.

```
totalWiseSupply = circulatingWise + stakedWise
dailyInflationRate = (1.04 ^ (1 / 365) - 1)
dailyInflationRate =~ 0.0001074597820279

newWiseToday = totalWiseSupply × dailyInflationRate
```

These new daily inflation WISE are not immediately minted.  Instead, they are earmarked for distribution to two parties: three quarters (3% inflation) to all active stake shares on that day, and one quarter (1% inflation) to all active, qualified CM shares that day.  Each active stake is earmarked a fraction of this new WISE in proportion to the stake's shares' percentage of the total share pool that day.  The same apportionment scheme is used for the WISE earmarked to qualified CM shares.

An example scenario:

```
On day X, suppose there are:
  100,000,000 total circulating WISE
  30,000,000 total staked WISE
  10,000,000 total shares
        
The total new WISE that will be generated this day is then:
  newWiseDayX = (100,000,000 + 30,000,000) × 0.0001074597820279
  newWiseDayX = 13,969.771663627 WISE
        
This new WISE is split into two amounts:
  three quarters for stake shares (i.e. 3% inflation)
  one quarter for CM shares (i.e. 1% inflation)
        
Now, suppose user A has an active stake that is 2,000,000 shares.
On day X, this user's stake then gets some WISE earmarked for it:
  userANewWiseDayX = newWiseDayX × (3/4) × stakeShares / totalShares
  userANewWiseDayX = 13,969.771663627 × (3/4) × 2,000,000 / 10,000,000
  userANewWiseDayX = 2,095.46574954405 WISE
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisetoken.net/wise-token/wise-ethereum/wise-contract-functionality/circulation-epoch/supply-inflation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
